## ros-indigo-epos-hardware 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(epos_hardware)

find_package(catkin REQUIRED COMPONENTS
  epos_library
  hardware_interface
  transmission_interface
  controller_manager
  roscpp
  diagnostic_updater
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES epos_library_utils epos_manager epos_hardware
  CATKIN_DEPENDS epos_library hardware_interface roscpp controller_manager diagnostic_updater
)

###########
## Build ##
###########

include_directories(include)
include_directories(
  ${catkin_INCLUDE_DIRS}
)

# A collection of utilities for using the EPOS Command Libary
add_library(epos_library_utils
  src/util/utils.cpp
)
target_link_libraries(epos_library_utils
  ${catkin_LIBRARIES}
)


# Build tool to list available devices
add_executable(list_devices src/tools/list_devices.cpp)
target_link_libraries(list_devices
  ${catkin_LIBRARIES}
  epos_library_utils
)

# Build tool to list a devices state
add_executable(get_state src/tools/get_state.cpp)
target_link_libraries(get_state
  ${catkin_LIBRARIES}
  epos_library_utils
)

add_library(epos_manager
  src/util/epos.cpp src/util/epos_manager.cpp
)
target_link_libraries(epos_manager
  ${catkin_LIBRARIES}
  epos_library_utils
)

add_library(epos_hardware
  src/util/epos_hardware.cpp
)
target_link_libraries(epos_hardware
  ${catkin_LIBRARIES}
  epos_manager
  epos_library_utils
)


add_executable(epos_hardware_node src/nodes/epos_hardware_node.cpp)
target_link_libraries(epos_hardware_node
  ${catkin_LIBRARIES}
  epos_hardware
)

#############
## Install ##
#############


# Mark udev install program for installation
install(PROGRAMS
  install_udev_rules
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)
install(FILES 90-ftd2xx.rules
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

# Mark libraries and nodes for installation
install(TARGETS epos_library_utils epos_manager epos_hardware list_devices get_state epos_hardware_node
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Mark cpp header files for installation
install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
  PATTERN ".svn" EXCLUDE
)

=== debian/changelog ===
ros-indigo-epos-hardware (0.0.3-0trusty) trusty; urgency=high

  * Fixed quickstop diagnostics status
  * Added diagnostics information from statusword
  * Added ability to set fault recovery option
  * Added nominal current and max current to diagnostics
  * Added diagnostics warning if nominal current is exceeded
  * Added diagnostics for motor output
  * Added torque constant parameter
  * Added support for velocity halt command
  * Show error message if not all faults were cleared
  * Don't write value if command is nan
  * Limit profile velocity to specified limit
  * Cast parameters to integers because sometimes it causes the configuration to fail
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Thu, 18 Jun 2015 04:00:00 -0000

ros-indigo-epos-hardware (0.0.2-0trusty) trusty; urgency=high

  * Fixed so that udev rules file and example launch files are actually installed
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Fri, 06 Mar 2015 05:00:00 -0000

ros-indigo-epos-hardware (0.0.1-0trusty) trusty; urgency=high

  * Initial release of epos_hardware
  * Contributors: Mitchell Wills

 -- Mitchell Wills <mwills@wpi.edu>  Fri, 30 Jan 2015 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-epos-hardware
Section: misc
Priority: extra
Maintainer: Mitchell Wills <mwills@wpi.edu>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-manager, ros-indigo-diagnostic-updater, ros-indigo-epos-library, ros-indigo-hardware-interface, ros-indigo-roscpp, ros-indigo-transmission-interface
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-epos-hardware
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-manager, ros-indigo-diagnostic-updater, ros-indigo-epos-library, ros-indigo-hardware-interface, ros-indigo-roscpp, ros-indigo-transmission-interface
Description: A wrapper around the EPOS Command Library to provide easy integration with ROS control

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-epos-hardware//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
